package com.prolog.eis.service.feign;

import com.prolog.cs.basic.item.model.vo.ItemBaseInfoVO;
import com.prolog.eis.dto.item.ItemSyncVO;

import java.util.List;

/**
 * @author dengj
 * @version 1.0
 * @date 2023/2/17 15:24
 */

public interface FeignGoodsService {

    /**
     * 查询商品信息
     * @param itemId
     * @return
     * @throws Exception
     */
    ItemSyncVO getItemInfo(String itemId) throws Exception;

    List<ItemSyncVO> getItemByBarcode(String barCode);

    List<ItemBaseInfoVO> getItemByName(String itemName);

    List<ItemSyncVO> queryItemMst(List<String> itemIds)  throws Exception;
}
